summary refs log tree commit diff
path: root/bin/cash/Makefile
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--bin/cash/Makefile9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/cash/Makefile b/bin/cash/Makefile
index 4a9ec599..5dd4e726 100644
--- a/bin/cash/Makefile
+++ b/bin/cash/Makefile
@@ -76,12 +76,19 @@ clean:
 	rm -f cash $(OBJS) mknodes mksyntax $(GENSRCS) $(GENHDRS) tags .depend
 
 install: cash $(MAN1)
-	mkdir -p $(PREFIX)/bin $(MANDIR)/man1
+	install -d $(PREFIX)/bin $(MANDIR)/man1
 	install cash $(PREFIX)/bin
 	install -m 644 $(MAN1) $(MANDIR)/man1
 
 uninstall:
 	rm -f $(PREFIX)/bin/cash $(MAN1:%=$(MANDIR)/man1/%)
 
+shell:
+	grep -q '^$(PREFIX)/bin/cash$$' /etc/shells \
+		|| echo '$(PREFIX)/bin/cash' >> /etc/shells
+
+unshell:
+	sed -i sed '\;^$(PREFIX)/bin/cash$$;d' /etc/shells
+
 README: cash.7
 	mandoc cash.7 | col -bx > README
> 2020-02-10Avoid coloring mentions if there are control codesJune McEnroe 2020-02-10Recalculate unreadLines on reflowJune McEnroe 2020-02-10Only make windows hotterJune McEnroe 2020-02-10Always increase unreadLinesJune McEnroe 2020-02-10Move scroll marker on resizeJune McEnroe 2020-02-10Update line count for words longer than linesJune McEnroe 2020-02-10Simplify mark, heat, unread trackingJune McEnroe 2020-02-10Update prompt when own nick changesJune McEnroe 2020-02-10Match URLs surrounded by parenthesesJune McEnroe 2020-02-10Fix M-a so it properly cycles back to where it startedJune McEnroe 2020-02-09Add M-lJune McEnroe 2020-02-09Add /whoisJune McEnroe 2020-02-09Add /msgJune McEnroe